Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hwpf.model.types
Class SHD80AbstractType

    java.lang.Object
      org.apache.poi.hwpf.model.types.SHD80AbstractType

Direct Known Subclasses:
  ShadingDescriptor80

    public abstract class SHD80AbstractType

extends java.lang.Object

The SHD80 is a substructure of the CHP and PAP, and TC for Word 97.

Class and fields descriptions are quoted from Microsoft Office Word 97-2007 Binary File Format

NOTE: This source is automatically generated please do not modify this file. Either subclass or remove the record in src/types/definitions.

This class is internal. It content or properties may change without notice due to changes in our knowledge of internal Microsoft Word binary structures.

Author:
  Sergey Vladimirov; according to Microsoft Office Word 97-2007 Binary File Format Specification [*.doc]

Method Summary
`byte` | `getIcoBack()` Background color
`byte` | `getIcoFore()` Foreground color
`byte` | `getIpat()` Shading pattern
`static int` | `getSize()` Size of record
`short` | `getValue()` Get the value field for the SHD80 record.
`void` | `serialize(byte[] data, int offset)`
`void` | `setIcoBack(byte value)` Sets the icoBack field value.
`void` | `setIcoFore(byte value)` Sets the icoFore field value.
`void` | `setIpat(byte value)` Sets the ipat field value.
`void` | `setValue(short field_1_value)` Set the value field for the SHD80 record.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### serialize

    public void serialize(byte[] data,
                          int offset)

### getSize

    public static int getSize()

  Size of record

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getValue

    public short getValue()

  Get the value field for the SHD80 record.

### setValue

    public void setValue(short field_1_value)

  Set the value field for the SHD80 record.

### setIcoFore

    public void setIcoFore(byte value)

  Sets the icoFore field value. Foreground color

### getIcoFore

    public byte getIcoFore()

  Foreground color

  Returns:
    the icoFore field value.

### setIcoBack

    public void setIcoBack(byte value)

  Sets the icoBack field value. Background color

### getIcoBack

    public byte getIcoBack()

  Background color

  Returns:
    the icoBack field value.

### setIpat

    public void setIpat(byte value)

  Sets the ipat field value. Shading pattern

### getIpat

    public byte getIpat()

  Shading pattern

  Returns:
    the ipat field value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD